---
type: docs
title: "Dapr .NET SDK"
linkTitle: ".NET"
weight: 1000
description: .NET SDK packages for developing Dapr applications
no_list: true
---

Dapr offers a variety of packages to help with the development of .NET applications. Using them you can create .NET clients, servers, and virtual actors with Dapr.

## Client

Create .NET [**clients**]({{< ref dotnet-client >}}) that interact with a Dapr sidecar and other Dapr applications.

## Server

Write [**servers and services**]({{< ref dotnet-server >}}) in .NET using the Dapr SDK.

## Actors

Create [**virtual actors**]({{< ref dotnet-actors >}}) with state, reminders/timers, and methods in .NET.


## Examples

Clone the .NET SDK repo to try out some of the [examples](https://github.com/dapr/dotnet-sdk/tree/master/examples).

```bash
git clone https://github.com/dapr/dotnet-sdk.git
```

## More information

- [NuGet packages](https://www.nuget.org/profiles/dapr.io)